> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get automations



## OpenAPI

````yaml /api-reference/openapi.json get /{channelId}/workflows
openapi: 3.1.0
info:
  title: Heyy API
  version: 2.0.0
servers:
  - url: https://api.heyy.io/api/v2.0
security:
  - bearerAuth: []
paths:
  /{channelId}/workflows:
    get:
      summary: Get automations
      parameters:
        - name: channelId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      workflows:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            steps:
                              type: array
                              items: {}
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - id
                            - name
                            - status
                            - createdAt
                            - updatedAt
                    required:
                      - workflows
                required:
                  - data
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````